extends Node2D

## I need the signal-emitter to be the root node of this scene and when I 
## tried to just move the script it broke the stonk line so here this is I guess lol

signal buy(amount: Variant)
signal sell(amount: Variant)

func _on_stonks_buy(amount: Variant) -> void:
	print("-$%s" % amount.toString())
	buy.emit(amount)


func _on_stonks_sell(amount: Variant) -> void:
	print("+$%s" % amount.toString())
	sell.emit(amount)
	

# Scope creep!
func start():
	$Timer.start()
